2019-10-21 17:26 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002040FSSCPFREDpublic2010-12-07 12:03
ReporterFUBAR-BDHR 
Assigned To 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
Product Version3.6.11 
Target VersionFixed in Version3.6.12 
Summary0002040: Recent build crash event/message editor
DescriptionPretty much just open the even editor add a couple of messages and hit ok. Instant abort/retry/ignore window.

Seems to originate from here: which is called from event_editor::OnOk()

#if _HAS_ITERATOR_DEBUGGING
           if (size() <= _Pos)
                {
                _DEBUG_ERROR("vector subscript out of range");
                _SCL_SECURE_OUT_OF_RANGE;
                }
Additional Information3.6.11 r5657. Worked yesterday with builds based off of 5643 or 44.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0011284

Zacam (administrator)

I am not able to replicate by the same steps from IRC what was said to cause this issue, based on the Nightly 5654 build of INF-SSE2 which was the reported build for this issue.

That isn't to say that there is not still an issue, but without knowing the data that Diaspora is using that it may be having a problem with, it's near impossible for me to reproduce with Retail/MediaVPs.

~0011285

portej05 (reporter)

This was expected - it should be fixed in the latest nightlies.

~0011286

portej05 (reporter)

Actually, I only fixed up the engine component. I'll look into the FRED component later this weekend.

~0011287

portej05 (reporter)

People using memset and vm_malloc have forgotten that not all objects enjoy being initialised to random or 0 values! (particular STL containers)

~0011372

portej05 (reporter)

This is a known issue, and will hopefully be solved by a combination of new allocators and a code audit.

~0012508

The_E (administrator)

Cannot reproduce in current builds. Assuming fixed.
+Notes

-Issue History
Date Modified Username Field Change
2009-11-14 20:09 FUBAR-BDHR New Issue
2009-11-14 22:59 Zacam Status new => assigned
2009-11-14 22:59 Zacam Assigned To => portej05
2009-11-14 23:11 Zacam Note Added: 0011284
2009-11-14 23:13 portej05 Note Added: 0011285
2009-11-14 23:14 portej05 Note Added: 0011286
2009-11-14 23:15 portej05 Note Added: 0011287
2009-11-14 23:15 portej05 Status assigned => acknowledged
2009-12-03 02:07 portej05 Note Added: 0011372
2009-12-03 02:07 portej05 Status acknowledged => confirmed
2010-03-03 06:21 karajorma Assigned To portej05 =>
2010-03-03 06:21 karajorma Status confirmed => new
2010-12-07 12:03 The_E Note Added: 0012508
2010-12-07 12:03 The_E Status new => closed
2010-12-07 12:03 The_E Resolution open => fixed
2010-12-07 12:03 The_E Fixed in Version => 3.6.12
+Issue History